Skip to content
payrocdevelopers

Retrieve processing account

Browse API reference

GET/processing-accounts/{processingAccountId}getProcessingAccounts

Use this method to retrieve information about a specific processing account.

To retrieve a processing account, you need its processingAccountId. Our gateway returned the processingAccountId in the response of the Create Merchant Platform method or the Create Processing Account method.

Note: If you don't have the processingAccountId, use our List Merchant Platform's Processing Accounts method to search for the processing account.

Our gateway returns the following information about the processing account:

  • Business information, including the Merchant Category Code (MCC), status of the processing account, and address of the business.
  • Processing information, including the merchant’s refund policies and card types that the merchant accepts.
  • Funding information, including funding schedules, funding fees, and details for the merchant’s funding accounts.
  • Pricing information, including HATEOAS links to retrieve the pricing program for the processing account.

Parameters

NameInTypeDescription
processingAccountIdRequiredpathstring

Unique identifier that we assigned to the processing account.

Responses

Successful request. Returns the processing account.

200 OK · application/json
{
  "addendums": [],
  "address": {
    "address1": "1 Example Ave.",
    "address2": "Example Address Line 2",
    "address3": "Example Address Line 3",
    "city": "Chicago",
    "country": "US",
    "postalCode": "60056",
    "state": "Illinois"
  },
  "businessStartDate": "2020-01-01",
  "businessType": "restaurant",
  "categoryCode": 5999,
  "contactMethods": [
    {
      "type": "email",
      "value": "jane.doe@example.com"
    }
  ],
  "contacts": [
    {
      "contactId": 1543,
      "firstName": "Jane",
      "lastName": "Doe",
      "link": {
        "href": "https://api.payroc.com/v1/contacts/1543",
        "method": "get",
        "rel": "contact"
      }
    }
  ],
  "createdDate": "2024-07-02T12:00:00.000+00:00",
  "doingBusinessAs": "Pizza Doe",
  "funding": {
    "acceleratedFundingFee": 1999,
    "dailyDiscount": false,
    "fundingAccounts": [
      {
        "fundingAccountId": 123,
        "link": {
          "href": "https://api.payroc.com/v1/funding-accounts/123",
          "method": "get",
          "rel": "fundingAccount"
        },
        "status": "pending"
      }
    ],
    "fundingSchedule": "nextday",
    "status": "enabled"
  },
  "lastModifiedDate": "2024-07-02T12:00:00.000+00:00",
  "merchandiseOrServiceSold": "Pizza",
  "metadata": {
    "customerId": "2345"
  },
  "owners": [
    {
      "firstName": "Jane",
      "lastName": "Doe",
      "link": {
        "href": "https://api.payroc.com/v1/owners/1543",
        "method": "get",
        "rel": "owner"
      },
      "ownerId": 4564
    }
  ],
  "pricing": {
    "link": {
      "href": "https://api.payroc.com/v1/processing-accounts/38765/pricing",
      "method": "get",
      "rel": "pricing"
    }
  },
  "processing": {
    "ach": {
      "estimatedMonthlyTransactions": 3000,
      "limits": {
        "dailyDeposit": 200000,
        "monthlyDeposit": 6000000,
        "singleTransaction": 10000
      },
      "naics": "5812",
      "previouslyTerminatedForAch": false,
      "refunds": {
        "refundPolicyUrl": "http://www.example.com/refunds",
        "writtenRefundPolicy": true
      },
      "transactionTypes": [
        "prearrangedPayment",
        "other"
      ],
      "transactionTypesOther": "recurringBilling"
    },
    "cardAcceptance": {
      "cardsAccepted": [
        "visa",
        "mastercard"
      ],
      "debitOnly": false,
      "hsaFsa": false,
      "specialityCards": {
        "americanExpressDirect": {
          "enabled": true,
          "merchantNumber": "abc1234567"
        },
        "electronicBenefitsTransfer": {
          "enabled": true,
          "fnsNumber": "6789012"
        },
        "other": {
          "fleetMerchantId": "abc1234567",
          "voyagerMerchantId": "abc1234567",
          "wexMerchantNumber": "abc1234567"
        }
      }
    },
    "isSeasonal": true,
    "merchantId": "444412365478965",
    "monthlyAmounts": {
      "average": 50000,
      "highest": 100000
    },
    "monthsOfOperation": [
      "jan",
      "feb"
    ],
    "transactionAmounts": {
      "average": 5000,
      "highest": 10000
    },
    "volumeBreakdown": {
      "cardPresent": 77,
      "ecommerce": 20,
      "mailOrTelephone": 3
    }
  },
  "processingAccountId": "38765",
  "processor": "tsys",
  "signature": {
    "link": {
      "href": "https://us.agreementexpress.net/mv2/viewer2.jsp?docId=00000000-0000-0000-0000-000000000000",
      "method": "get",
      "rel": "agreement"
    },
    "type": "requestedViaDirectLink"
  },
  "status": "approved",
  "timezone": "America/Chicago",
  "website": "www.example.com"
}
Response schema · 128 of 198 fields
  • addendumsobject[]required
    Array of polymorphic addendumEntry objects. Each object indicates the additional form that we sent to the merchant with the Merchant Processing Agreement (MPA). The value of the type parameter determines which variant you should use.
    • option 1object
      Installment Payments, Loans, or Lease Questionnaire/Attestation for merchants that offer installment payments, loans, or leases.
      • typestringrequired
    • option 2object
      Money Services Business Questionnaire for merchants that offer money services, for example, traveler's checks.
      • typestringrequired
    • option 3object
      Telehealth Attestation for merchants that provide telehealth services.
      • typestringrequired
    • option 4object
      Firearms Due Diligence for merchants that sell firearms.
      • typestringrequired
    • option 5object
      Attestation of Compliance and Questionnaire for pharmaceutical merchants that accept CNP transactions.
      • typestringrequired
    • option 6object
      CBD Attestation for merchants that sell any of the following products: CBD products Synthetic THC or Cannabis HHC Kratom Tianeptine Delta 8/9/10/0 THC products
      • typestringrequired
    • option 7object
      CNP Tobacco Merchant Questionnaire for merchants that sell tobacco products and accept CNP transactions.
      • typestringrequired
    • option 8object
      Donations Addendum for merchants that accept donations.
      • typestringrequired
    • option 9object
      Clover Merchant Processing Amendment for merchants that order Clover equipment.
      • lineItemsobjectrequired
        Object that contains information about the Clover equipment and accessories that the merchant wants to order.+45 more fields at deeper levels — see the full spec
      • typestringrequired
    • option 10object
      Roc Giving Addendum for merchants that use Roc Giving.
      • accountAdminContactobjectrequired
        Object that contains contact details for the Roc Giving account administrator.+4 more fields at deeper levels — see the full spec
      • autoCloseTimestringrequired
        Time that the processing terminal closes the batch in HH:mm format using the 24-hour clock.≤ 5 chars
      • donorSupportPercentagenumberrequired
        Percentage of the total donation amount that a donor can add to their donation to provide additional support to the organization.0–100
      • planstring
        Roc Giving pricing plan for the processing account. The value is one of the following: basic Merchant has access to the features available with the basic Roc Giving plan. advanced Merchant has access to the additional features available with the advanced Roc Giving plan.basicadvanced
      • typestringrequired
  • addressobjectrequired
    Polymorphic object that contains address information for the processing account.
    • addressobject
      Object that contains information about the address.
      • address1stringrequired
        Address line 1.≤ 150 chars
      • address2string
        Address line 2.≤ 150 chars
      • address3string
        Address line 3.≤ 150 chars
      • citystringrequired
        City.≤ 50 chars
      • countrystringrequired
        Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
      • postalCodestringrequired
        Zip code or postal code.≤ 10 chars
      • statestringrequired
        Name of the state or state abbreviation.≤ 50 chars
  • businessStartDatestringdate
    Date that the business was established. The format of the value is YYYY-MM-DD.
  • businessTypestring
    Type of business.retailrestaurantinternetmotolodgingnotForProfit
  • categoryCodeintegerint32
    Merchant Category Code (MCC) for the type of business.≤ 4 chars
  • contactMethodsobject[]required
    Array of polymorphic objects, which contain contact information. Note: You must provide an email address. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number≥ 1 items
    • emailobject
      • typestringrequired
        Type of contact method.email
      • valuestringrequired
        Email address.≤ 50 chars
    • phoneobject
      • typestringrequired
        Type of contact method.phone
      • valuestringrequired
        Phone number.≤ 15 chars
    • mobileobject
      • typestringrequired
        Type of contact method.mobile
      • valuestringrequired
        Mobile number.≤ 15 chars
    • faxobject
      • typestringrequired
        Type of contact method.fax
      • valuestringrequired
        Fax number.≤ 15 chars
  • contactsobject[]
    Array of contact objects.
    • contactIdinteger
      Unique identifier of the contact.
    • firstNamestring
      Contact's first name.
    • lastNamestring
      Contact's last name.
    • linkobject
      Object that contains HATEOAS links for the contact.
      • hrefstring
        Link to the resource.
      • methodstring
        HTTP method you can use to retrieve the resource.
      • relstring
        Relationship to the parent resource.
  • createdDatestringdate-time
    Date and time that we received your request to create the processing account in our system.
  • doingBusinessAsstringrequired
    Trading name of the business.≤ 100 chars
  • fundingobjectrequired
    Object that contains funding information for the processing account, including funding schedules, funding fees, and details of funding accounts.
    • acceleratedFundingFeeinteger
      Monthly fee in cents for accelerated funding. The value is in the currency's lowest denomination, for example, cents. We apply this fee if the value for fundingSchedule is sameday or nextday.
    • dailyDiscountboolean
      Indicates if we collect fees from the merchant's account each day.
    • fundingSchedulestring
      Indicates when funds are sent to the funding account. If you send a value of sameDay or nextDay, provide a value for acceleratedFundingFee. Note: If you send a value of sameday, funding includes all transactions the merchant ran before the ACH cut-off time.standardnextdaysameday
    • statusstring
      Indicates if the processing account can receive funds.enableddisabled
    • fundingAccountsobject[]
      Object that contains funding accounts associated with the processing account.1–2 items
      • fundingAccountIdinteger
        Unique identifier that we assigned to the funding account.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • statusstring
        Status of the funding account.approvedrejectedpending
  • lastModifiedDatestringdate-time
    Date and time that the processing account was last modified.
  • linksobject[]
    Array of useful links related to your request.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • merchandiseOrServiceSoldstringrequired
    Description of the services or merchandise sold by the business.≤ 125 chars
  • metadataobject
    Object that you can send to include custom data in the request. For more information about how to use metadata, go to Metadata.
  • ownersobject[]required
    Object that contains information about the owners of the business.
    • firstNamestring
      Owner's first name.
    • lastNamestring
      Owner's last name.
    • linkobject
      HATEOAS links to the owners of the processing account.
      • hrefstring
        URL of the target resource.
      • methodstring
        HTTP method that you need to use with the target resource.
      • relstring
        Indicates the relationship between the current resource and the target resource.
    • ownerIdinteger
      Unique identifier of the owner.
  • pricingobjectrequired
    Object that HATEOAS links to the pricing information that we apply to the processing account.
    • linkobject
      Object that contains HATEOAS links to the pricing information for the processing account.
      • hrefstring
        URL of the target resource.
      • methodstring
        HTTP method that you need to use with the target resource.
      • relstring
        Indicates the relationship between the current resource and the target resource.
  • processingobjectrequired
    Object that contains information about how we process transactions for the account.
    • achobject
      Object that contains information about Automated Clearing House (ACH) transactions.
      • estimatedMonthlyTransactionsintegerrequired
        Estimated maximum number of transactions that the merchant will process in a month.
      • limitsobjectrequired
        Object that contains information about transaction limits for the processing account.+3 more fields at deeper levels — see the full spec
      • naicsstring
        North American Industry Classification System (NAICS) code.≤ 6 chars
      • previouslyTerminatedForAchboolean
        Indicates if the business or its principals were previously turned down for ACH processing.
      • refundsobjectrequired
        Object that contains information about the ACH refund policy for the processing account.+2 more fields at deeper levels — see the full spec
      • transactionTypesstring[]
        List of transaction types that the processing account supports.
      • transactionTypesOtherstring
        If you send a value of other for transactionTypes, provide a list of the supported transaction types.≤ 100 chars
    • cardAcceptanceobject
      Object that contains information about the types of cards that the processing account accepts.
      • cardsAcceptedstring[]
        List of card types the merchant accepts.
      • debitOnlyboolean
        Indicates if the merchant accepts only debit cards.
      • hsaFsaboolean
        Indicates if the merchant accepts health savings account (HSA) and flexible spending account (FSA) cards.
      • specialityCardsobject
        Information about the speciality cards that the merchant accepts.+10 more fields at deeper levels — see the full spec
    • isSeasonalboolean
      Indicates if the processing account runs transactions on a seasonal basis. For example, if the processing account runs transactions during only the winter months, send a value of true.
    • merchantIdstring
      Unique identifier that the acquiring platform assigns to the merchant.≤ 15 chars
    • monthlyAmountsobjectrequired
      Object that contains information about the monthly processing amounts for the processing account.
      • averageintegerint64required
        Estimated average transaction amount each month. The value is in the currency's lowest denomination, for example, cents. You must provide an amount that is greater than zero.
      • highestintegerint64required
        Estimated maximum transaction amount each month. The value is in the currency's lowest denomination, for example, cents. You must provide an amount that is greater than zero.
    • monthsOfOperationstring[]
      Months of the year that the processing account runs transactions.≤ 12 items
    • transactionAmountsobjectrequired
      Object that contains information about transaction amounts for the processing account.
      • averageintegerint64required
        Estimated average transaction amount. The value is in the currency's lowest denomination, for example, cents. You must provide an amount that is greater than zero.
      • highestintegerint64required
        Estimated maximum transaction amount. The value is in the currency's lowest denomination, for example, cents. You must provide an amount that is greater than zero.
    • volumeBreakdownobjectrequired
      Object that contains information about the types of transactions ran by the processing account. The percentages for transaction types must total 100%.
      • cardPresentintegerint32required
        Estimated percentage of card-present transactions.
      • ecommerceintegerint32required
        Estimated percentage of e-Commerce transactions.
      • mailOrTelephoneintegerint32required
        Estimated percentage of mail order or telephone transactions.
  • processingAccountIdstring
    Unique identifier of the processing account.
  • processorstring
    Processor that authorizes and settles transactions for the processing account. Note: We recommend that you include a value for the processor parameter and not rely on the default value.tsysfiserv
  • signatureobjectrequired
    Polymorphic object that contains information about how we captured the owner's signature. The value of the type parameter determines which variant you should use: requestedViaDirectLink Request signature using a link. requestedViaEmail Request signature by email.
    • requestedViaDirectLinkobject
      Object that contains signature information if we captured the merchant’s signature by direct link.
      • linkobject
        Object that contains links to the signed contract.+3 more fields at deeper levels — see the full spec
      • typestringrequired
        Method used to capture the owner's signature.requestedViaDirectLink
    • requestedViaEmailobject
      Object that contains signature information if we captured the merchant’s signature by email.
      • typestringrequired
        Method used to capture the owner's signature.requestedViaEmail
  • statusstring
    Status of the processing account. entered We have received information about the account, but we have not yet reviewed it. pending We have reviewed the information about the account, but we have not yet approved it. approved We have approved the account for processing transactions and funding. subjectTo We have approved the account, but we are waiting on further information. dormant Account is closed for a period. nonProcessing We have approved the account, but the merchant has not yet run a transaction. rejected We rejected the application for the processing account. terminated Processing account is closed. cancelled Merchant withdrew the application for the processing account. Note: You can subscribe to our processingAccount.status.changed event to get notifications when we change the status of a processing account. For more information about how to subscribe to events, go to Event Subscriptions.enteredpendingapprovedsubjectTodormantnonProcessingrejectedterminated+1 more
  • timezonestringrequired
    Time zone for the processing account.≤ 28 charsPacific/MidwayPacific/HonoluluAmerica/AnchorageAmerica/Los_AngelesAmerica/DenverAmerica/PhoenixAmerica/ChicagoAmerica/Indiana/Indianapolis+1 more
  • websitestring
    Website address of the business.≤ 128 chars

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer